Name: libmodbus
Version: 3.1.7
Release:    1%{?dist}
Summary: A Modbus library
License: LGPLv2+
URL: http://www.libmodbus.org/

Source0: http://libmodbus.org/site_media/build/libmodbus-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires: xmlto
BuildRequires: asciidoc
BuildRequires: make

%description
libmodbus is a C library designed to provide a fast and robust implementation of
the Modbus protocol. It runs on Linux, Mac OS X, FreeBSD, QNX and Windows.

This package contains the libmodbus shared library.

%package devel
Summary: Development files for libmodbus
Requires: %{name} = %{version}-%{release}

%description devel
libmodbus is a C library designed to provide a fast and robust implementation of
the Modbus protocol. It runs on Linux, Mac OS X, FreeBSD, QNX and Windows.

This package contains libraries, header files and developer documentation needed
for developing software which uses the libmodbus library.

%prep
%autosetup -p1

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -delete


%files
%{!?_licensedir:%global license %%doc}
%license COPYING*
%doc AUTHORS MIGRATION NEWS README.md
%{_libdir}/libmodbus.so.*

%files devel
%{_includedir}/modbus/

%{_libdir}/pkgconfig/libmodbus.pc
%{_libdir}/libmodbus.so

%{_mandir}/man7/*.7.*
%{_mandir}/man3/*.3.*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.7-1
- initial build
